Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to downgrade kde?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1575
Location: /mnt/Gentoo/Europe

PostPosted: Thu Apr 17, 2014 4:23 pm    Post subject: How to downgrade kde? Reply with quote

Hi,

I need to downgrade kde from 4.13.0 to the previous version. How to do this in easy way?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6831
Location: Austria

PostPosted: Thu Apr 17, 2014 4:58 pm    Post subject: Reply with quote

Use the package.mask file provided from kde overlay, you can find it online, placed in 'Documentation/package.mask/kde-4.13', simply copy that into your package.mask directory and fire up emerge.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1136
Location: /dev/koelsch

PostPosted: Thu Apr 17, 2014 5:06 pm    Post subject: Reply with quote

Xywa,

after genstorm already named the solution I'm just interested why you want to do that, cause I'm actually compiling it.
Do you have any trouble with it? Doesn't it fulfil you expectations?

Thanks, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
Xywa
Veteran
Veteran


Joined: 23 Jul 2005
Posts: 1575
Location: /mnt/Gentoo/Europe

PostPosted: Thu Apr 17, 2014 5:38 pm    Post subject: Reply with quote

genstorm wrote:
Use the package.mask file provided from kde overlay, you can find it online, placed in 'Documentation/package.mask/kde-4.13', simply copy that into your package.mask directory and fire up emerge.


You mean from here:
https://wiki.gentoo.org/wiki/KDE/Overlay
as I couldn't find. Could you give me a link, please?

But I used
Code:
qlist -I -v|grep kde

and copied this into package.mask


Randy Andy wrote:
Xywa,

after genstorm already named the solution I'm just interested why you want to do that, cause I'm actually compiling it.
Do you have any trouble with it? Doesn't it fulfil you expectations?

Thanks, Andy.


I had some problems with akonadi-server and this time downgrading did not help:
https://forums.gentoo.org/viewtopic-t-988874-highlight-.html
Quote:
During last update of kde (4.12.3-r1 -> 4.12.4) and update of akonadi-server (1.11.0 -> 1.12.1) I could not start akonadi, so I did downgrade it into 1.11.0 and it worked with kde 4.12.4.

Today after an update of kde from 4.12.4 -> 4.13.0 emerge needed akonadi-server 1.12.1, but again I could not start it, but when I am trying to downgrade it into 1.11.0 i have such message:


I have found there where no issues on other test accounts on my laptops, so probably and old akonadi configuration on my current account had some problems, as akonadi (and kamil) did not start. In link above someone found a bug/sollution, so maybe I will test later. Today I lost an access to my 40 000 emails for whole day, so I am praying everything will be fine after downgrading.

p.s. I cannot make a backup of my all emails, as I think after kmail migrating from QSQLITE3 to QMYSQL made some cruptions in my database, and no one - even people from kde forum had an idea how to fix it...
Back to top
View user's profile Send private message
Helmering
n00b
n00b


Joined: 13 Dec 2011
Posts: 57
Location: Italy

PostPosted: Fri Apr 18, 2014 8:03 am    Post subject: Reply with quote

Stop downgrading as it maybe won't help, your problem is easily resolveable, will give you answer in your other thread.

Ralf
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum